# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/input/touchscreen/zeitec,zet6223.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Zeitec ZET6223 touchscreen controller

description:
  Zeitec ZET6223 I2C driven touchscreen controller.

maintainers:
  - Dario Binacchi <dario.binacchi@amarulasolutions.com>

allOf:
  - $ref: touchscreen.yaml#

properties:
  compatible:
    enum:
      - zeitec,zet6223

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  vio-supply:
    description: 1.8V or 3.3V VIO supply.

  vcc-supply:
    description: 3.3V VCC supply.

  touchscreen-inverted-x: true
  touchscreen-inverted-y: true
  touchscreen-size-x: true
  touchscreen-size-y: true
  touchscreen-swapped-x-y: true

additionalProperties: false

required:
  - compatible
  - reg
  - interrupts

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>
    #include <dt-bindings/interrupt-controller/irq.h>
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        touchscreen@76 {
            compatible = "zeitec,zet6223";
            reg = <0x76>;
            interrupt-parent = <&pio>;
            interrupts = <6 11 IRQ_TYPE_EDGE_FALLING>;
        };
    };
